CEL: Crystal Entity Layer: iChangePropertyQuestRewardFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iChangePropertyQuestRewardFactory Struct Reference

This interface is implemented by the reward that changes the value of a property (either on a property from pcproperties or a generic property on any property class). More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetBoolParameter (const char *pbool)=0
| Set the boolean value.
virtual void | SetDiffParameter (const char *pdiff)=0
| Set the diff.
virtual void | SetEntityParameter (const char *entity)=0
| Set the name of the entity containing the pcproperties property class on which this reward will work.
virtual void | SetFloatParameter (const char *pfloat)=0
| Set the float value.
virtual void | SetLongParameter (const char *plong)=0
| Set the long value.
virtual void | SetPCParameter (const char *pc, const char *tag)=0
| Set the name of the property class and tag.
virtual void | SetPropertyParameter (const char *prop)=0
| Set the name of the property.
virtual void | SetStringParameter (const char *pstring)=0
| Set the string value.
virtual void | SetToggle ()=0
| Set the toggle.

## Detailed Description

This interface is implemented by the reward that changes the value of a property (either on a property from pcproperties or a generic property on any property class).

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.changeproperty'.

In XML, factories recognize the following attributes on the 'reward' node:

- entity: the name of the entity containing the pcproperties property class.
- pc: the name of the property class. If this is not given then pcproperties is used.
- tag: used together with 'pc' to specify an optional tag.
- property: the name of the property.
- string: the new string value of the property.
- long: the new long value of the property.
- float: the new float value of the property.
- bool: the new bool value of the property.
- diff: this long or float value will be added to the property.
- toggle: toggle the boolean or long value.

Definition at line 1208 of file questmanager.h.

## Member Function Documentation

virtual void iChangePropertyQuestRewardFactory::SetBoolParameter | ( | const char * | pbool | ) | `[pure virtual]`

  | Set the boolean value. Parameters:
  | pbool | is the bool or a parameter (starts with '$').

virtual void iChangePropertyQuestRewardFactory::SetDiffParameter | ( | const char * | pdiff | ) | `[pure virtual]`

  | Set the diff. Parameters:
  | pdiff | is the long/float or a parameter (starts with '$').

virtual void iChangePropertyQuestRewardFactory::SetEntityParameter | ( | const char * | entity | ) | `[pure virtual]`

  | Set the name of the entity containing the pcproperties property class on which this reward will work. Parameters:
  | entity | is the name of the entity or a parameter (starts with '$').

virtual void iChangePropertyQuestRewardFactory::SetFloatParameter | ( | const char * | pfloat | ) | `[pure virtual]`

  | Set the float value. Parameters:
  | pfloat | is the float or a parameter (starts with '$').

virtual void iChangePropertyQuestRewardFactory::SetLongParameter | ( | const char * | plong | ) | `[pure virtual]`

  | Set the long value. Parameters:
  | plong | is the long or a parameter (starts with '$').

virtual void iChangePropertyQuestRewardFactory::SetPCParameter | ( | const char * | pc,
|  | const char * | tag
| ) | `[pure virtual]`

  | Set the name of the property class and tag. If this is not given (or property class name is 0) then pcproperties will be used. Parameters:
  | pc | is the name of the property class or a parameter (starts with '$').
  | tag | is the name of the tag or a parameter (starts with '$').

virtual void iChangePropertyQuestRewardFactory::SetPropertyParameter | ( | const char * | prop | ) | `[pure virtual]`

  | Set the name of the property. Parameters:
  | prop | is the name of the property or a parameter (starts with '$').

virtual void iChangePropertyQuestRewardFactory::SetStringParameter | ( | const char * | pstring | ) | `[pure virtual]`

  | Set the string value. Parameters:
  | pstring | is the string or a parameter (starts with '$').

virtual void iChangePropertyQuestRewardFactory::SetToggle | ( |  | ) | `[pure virtual]`

| Set the toggle.

The documentation for this struct was generated from the following file:

- tools/questmanager.h